<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'report_security', language 'cy', version '2.6'.
 *
 * @package     report_security
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['check_configrw_details'] = '<p>Rydym yn argymell eich bod yn newid hawliau ffeil config.php ar ôl gosod fel nad yw\'r gweinydd gwe yn gallu addasu\'r ffeil.
Cofiwch nad yw\'r mesur hwn yn gwella diogelwch y gweinydd yn sylweddol, ond efallai bydd yn arafu neu\'n cyfyngu ar sawl ymgais gyffredinol i\'w ecsbloetio.</p>';
$string['check_configrw_name'] = 'Config.php y gellir ysgrifennu drosto';
$string['check_configrw_ok'] = 'Dydy sgriptiau PHP ddim yn gallu addasu config.php';
$string['check_configrw_warning'] = 'Mae sgriptiau PHP yn gallu addasu config.php';
$string['check_cookiesecure_details'] = '<p>Os ydych yn galluogi cyfathrebu https, rydym yn argymell eich bod hefyd yn galluogi cwcis diogel. Dylech hefyd ychwanegu proses atgyfeirio barhaol o http i https.</p>';
$string['check_cookiesecure_error'] = 'Dylech alluogi cwcis diogel';
$string['check_cookiesecure_name'] = 'Cwcis diogel';
$string['check_cookiesecure_ok'] = 'Wedi galluogi cwcis diogel.';
$string['check_defaultuserrole_details'] = '<p>Mae pob defnyddiwr sydd wedi mewngofnodi yn cael galluoedd o\'u swyddogaeth defnyddiwr ddiofyn. Gwnewch yn siŵr nad oes galluoedd peryglus yn y swyddogaeth hon.</p>
<p>Yr unig hen fath sy\'n gallu delio â swyddogaeth defnyddiwr ddiofyn yw <em>Defnyddiwr wedi\'i ddilysu</em>. Dylai\'r gallu i weld cwrs fod wedi\'i analluogi.</p>';
$string['check_defaultuserrole_error'] = 'Mae\'r swyddogaeth defnyddiwr ddiofyn "{$a}" wedi\'i ddiffinio\'n anghywir!';
$string['check_defaultuserrole_name'] = 'Swyddogaeth ddiofyn ar gyfer yr holl ddefnyddwyr';
$string['check_defaultuserrole_notset'] = 'Dydy\'r swyddogaeth ddiofyn heb gael ei gosod.';
$string['check_defaultuserrole_ok'] = 'Mae diffiniad y swyddogaeth ddiofyn ar gyfer yr holl ddefnyddwyr yn iawn.';
$string['check_displayerrors_details'] = '<p>Dydyn ni ddim yn argymell galluogi\'r gosodiad  PHP <code>display_errors</code> ar safleoedd cynhyrchu oherwydd gall negeseuon gwall ddatgelu gwybodaeth sensitif am eich gweinydd.</p>';
$string['check_displayerrors_error'] = 'Mae\'r gosodiad PHP i ddangos gwallau wedi\'i alluogi. Rydym yn argymell y dylech analluogi hwn.';
$string['check_displayerrors_name'] = 'Dangos gwallau PHP';
$string['check_displayerrors_ok'] = 'Wedi analluogi dangos gwallau PHP';
$string['check_emailchangeconfirmation_details'] = 'p>Rydym yn argymell cam i anfon e-bost cadarnhau pan fydd defnyddwyr yn newid eu cyfeiriad e-bost yn eu proffil. Os yw hwn wedi\'i analluogi, efallai bydd sbamwyr yn ceisio ecsbloetio\'r gweinydd i anfon negeseuon sothach.</p>
<p>Efallai bod ategion dilysu hefyd yn cloi\'r maes e-bost, ond dydyn ni ddim yn ystyried y posibilrwydd hwn yma.</p>';
$string['check_emailchangeconfirmation_error'] = 'Gall defnyddwyr roi unrhyw gyfeiriad e-bost.';
$string['check_emailchangeconfirmation_info'] = 'Gall defnyddwyr roi cyfeiriadau e-bost o barthau cymeradwy yn unig.';
$string['check_emailchangeconfirmation_name'] = 'Cadarnhau newid e-bost';
$string['check_emailchangeconfirmation_ok'] = 'Cadarnhau newid cyfeiriad e-bost ym mhroffil y defnyddiwr.';
$string['check_embed_details'] = '<p>Mae gwreiddio nifer ddiderfyn o wrthrychau\'n beryglus iawn - gall unrhyw ddefnyddiwr cofrestredig lansio ymosodiad XSS yn erbyn defnyddwyr eraill y gweinydd. Dylech analluogi\'r gosodiad hwn ar weinyddion cynhyrchu.</p>';
$string['check_embed_error'] = 'Mae gwreiddio nifer ddiderfyn o wrthrychau wedi\'i alluogi - mae hyn yn beryglus iawn ar gyfer y rhan fwyaf o weinyddion.';
$string['check_embed_name'] = 'Caniatáu GWREIDDIO a GWRTHRYCH';
$string['check_embed_ok'] = 'Does dim hawl gwreiddio nifer ddiderfyn o wrthrychau.';
$string['check_frontpagerole_details'] = '<p>Mae gan yr holl ddefnyddwyr cofrestredig swyddogaeth tudalen flaen ddiofyn ar gyfer gweithgareddau tudalen flaen. Gwnewch yn siŵr nad oes galluoedd peryglus wedi\'u galluogi ar gyfer y swyddogaeth hon.</p> <p>Rydym yn argymell eich bod yn creu swyddogaeth arbennig at y diben hwn ac nad ydych yn defnyddio hen fath o swyddogaeth.</p>';
$string['check_frontpagerole_error'] = 'Wedi canfod swyddogaeth tudalen flaen wedi\'i diffinio\'n anghywir "{$a}"!';
$string['check_frontpagerole_name'] = 'Swyddogaeth tudalen flaen';
$string['check_frontpagerole_notset'] = 'Dydy\'r swyddogaeth tudalen flaen heb ei gosod.';
$string['check_frontpagerole_ok'] = 'Mae diffiniad y swyddogaeth tudalen flaen yn iawn.';
$string['check_globals_details'] = '<p>Mae cofrestru safle cyfan yn cael ei ystyried fel gosodiad PHP anniogel iawn.</p>
<p><code>register_globals=off</code>  - dewiswch hwn yn y ffurfweddiad PHP. Gallwch reoli\'r gosodiad hwn drwy olygu eich  <code>php.ini</code>,  ffurfweddiad Apache/IIS  neu ffeil <code>.htaccess</code> file.</p>';
$string['check_globals_error'] = 'RHAID analluogi cofrestru safle cyfan. Dylech drwsio\'r gosodiadau PHP ar unwaith!';
$string['check_globals_name'] = 'Cofrestru safle cyfan';
$string['check_globals_ok'] = 'Mae cofrestru safle cyfan wedi\'i analluogi';
$string['check_google_details'] = '<p>Mae\'r gosodiad Ar Agor i Google yn galluogi peiriannau chwilio i fynd i mewn i gyrsiau gyda mynediad gwestai. Does dim pwynt galluogi\'r gosodiad hwn os nad yw gwesteion yn cael mewngofnodi.</p>';
$string['check_google_error'] = 'Mae gan beiriannau chwilio hawl i gael mynediad ond mae mynediad i westeion wedi\'i analluogi.';
$string['check_google_info'] = 'Gall peiriannau chwilio fynd i mewn fel gwestai.';
$string['check_google_name'] = 'Ar Agor i Google';
$string['check_google_ok'] = 'Dydy mynediad i beiriannau chwilio ddim wedi\'i alluogi.';
$string['check_guestrole_details'] = '<p>Mae\'r swyddogaeth gwestai\'n cael ei ddefnyddio ar gyfer gwesteion, defnyddwyr sydd heb fewngofnodi a mynediad dros dro i gyrsiau. Gwnewch yn siŵr nad oes galluoedd peryglus wedi\'u caniatáu ar gyfer y swyddogaeth hon.</p>
<p>Yr unig hen fath o swyddogaeth gwestai sy\'n gweithio yw <em>Gwestai</em>.</p>';
$string['check_guestrole_error'] = 'Mae\'r swyddogaeth gwestai "{$a}" wedi\'i ddiffinio\'n anghywir!';
$string['check_guestrole_name'] = 'Swyddogaeth gwestai';
$string['check_guestrole_notset'] = 'Dydy\'r swyddogaeth gwestai heb ei osod.';
$string['check_guestrole_ok'] = 'Mae diffiniad y swyddogaeth gwestai yn iawn.';
$string['check_mediafilterswf_details'] = '<p>Mae gwreiddio swf yn awtomatig yn beryglus iawn - gall unrhyw ddefnyddiwr cofrestredig lansio ymosodiad XSS yn erbyn defnyddwyr eraill y gweinydd. Dylech ei analluogi ar weinyddion cynhyrchu.</p>';
$string['check_mediafilterswf_error'] = 'Mae\'r hidlydd cyfryngau Flash wedi\'i alluogi - mae hyn yn beryglus iawn i\'r rhan fwyaf o weinyddion.';
$string['check_mediafilterswf_name'] = 'Hidlydd cyfryngau .swf wedi\'i alluogi';
$string['check_mediafilterswf_ok'] = 'Dydy\'r hidlydd cyfryngau Flash ddim wedi\'i alluogi.';
$string['check_noauth_details'] = '<p>Dydy\'r ategyn <em>Dim dilysu</em> ddim wedi\'i greu  ar gyfer safleoedd cynhyrchu. Dylech ei analluogi os nad yw hwn yn safle prawf sy\'n cael ei ddatblygu.</p>';
$string['check_noauth_error'] = 'Does dim modd defnyddio\'r ategyn Dim Dilysu ar safleoedd cynhyrchu.';
$string['check_noauth_name'] = 'Dim dilysu';
$string['check_noauth_ok'] = 'Mae\'r ategyn Dim dilysu wedi\'i analluogi.';
$string['check_openprofiles_details'] = '<p>Gall sbamwyr gamddefnyddio proffiliau defnyddwyr agored. Rydym yn argymell eich bod yn galluogi naill ai <code>Gorfodi defnyddwyr i fewngofnodi ar gyfer proffiliau</code> neu <code>Gorfodi defnyddwyr i fewngofnodi</code>.</p>';
$string['check_openprofiles_error'] = 'Gall unrhyw un weld proffiliau defnyddwyr heb fewngofnodi.';
$string['check_openprofiles_name'] = 'Proffiliau defnyddwyr agored';
$string['check_openprofiles_ok'] = 'Rhaid mewngofnodi cyn gweld proffiliau defnyddwyr.';
$string['check_passwordpolicy_details'] = '<p>Rydym yn argymell eich bod yn gosod polisi cyfrinair, oherwydd dyma\'r ffordd hawsaf yn aml o gael mynediad heb awdurdod.
Ond peidiwch â gwneud y gofynion yn rhy llym, oherwydd gall hyn olygu bod defnyddwyr yn ei chael yn anodd cofio eu cyfrinair ac maent naill ai\'n anghofio\'r cyfrinair neu\'n ysgrifennu\'r cyfrinair ar bapur er mwyn eu cofio.</p>';
$string['check_passwordpolicy_error'] = 'Heb osod polisi cyfrinair.';
$string['check_passwordpolicy_name'] = 'Polisi cyfrinair';
$string['check_passwordpolicy_ok'] = 'Polisi cyfrinair wedi\'i alluogi.';
$string['check_riskadmin_detailsok'] = '<p>Gwiriwch y rhestr ganlynol o weinyddwyr y system:</p>{$a}';
$string['check_riskadmin_detailswarning'] = '<p>Gwiriwch y rhestr ganlynol o weinyddwyr y system:</p>{$a->admins} <p>Rydym yn argymell neilltuo swyddogaeth gweinyddwr yng nghyd-destun y system yn unig. Mae gan y defnyddwyr canlynol swyddogaeth gweinyddwr a neilltuwyd (heb gefnogaeth) mewn cyd-destunau eraill:</p>{$a->unsupported}';
$string['check_riskadmin_name'] = 'Gweinyddwyr';
$string['check_riskadmin_ok'] = 'Wedi canfod {$a} gweinyddwr gweinydd.';
$string['check_riskadmin_unassign'] = '<a href="{$a->url}">{$a->fullname} ({$a->email}) adolygu neilltuo swyddogaeth</a>';
$string['check_riskadmin_warning'] = 'Wedi canfod {$a->admincount} gweinyddwr gweinydd a {$a->unsupcount} swyddogaeth gweinyddwyr heb gefnogaeth wedi\'u neilltuo.';
$string['check_riskbackup_details_overriddenroles'] = '<p>Mae\'r dewisiadau diystyru hyn sydd ar waith yn galluogi defnyddwyr i gynnwys data defnyddwyr mewn copïai wrth gefn. Gwnewch yn siŵr bod angen y caniatâd hwn.</p> {$a}';
$string['check_riskbackup_details_systemroles'] = '<p>Mae\'r swyddogaethau system canlynol yn galluogi defnyddwyr i gynnwys data defnyddwyr mewn copïau wrth gefn. Gwnewch yn siŵr fod yr hawl hwn yn angenrheidiol.</p> {$a}';
$string['check_riskbackup_details_users'] = '<p>O ganlyniad i\'r swyddogaethau uchod neu\'r dewisiadau diystyru lleol, mae hawl gan y cyfrifon defnyddwyr canlynol wneud copïau wrth gefn yn cynnwys data preifat gan unrhyw ddefnyddwyr sydd wedi cofrestru ar y cwrs. Gwnewch yn siŵr eich bod (a) yn ymddiried ynddynt a (b) wedi\'u diogelu gan gyfrineiriau cryf:</p> {$a}';
$string['check_riskbackup_detailsok'] = 'Does dim un swyddogaeth yn caniatáu creu copi wrth gefn o ddata defnyddwyr yn benodol.  Fodd bynnag, mae gweinyddwyr gyda\'r gallu "doanything" yn dal yn debygol o allu gwneud hyn.';
$string['check_riskbackup_editoverride'] = '<a href="{$a->url}">{$a->name} yn {$a->contextname}</a>';
$string['check_riskbackup_editrole'] = '<a href="{$a->url}">{$a->name}</a>';
$string['check_riskbackup_name'] = 'Gwneud copi wrth gefn o ddata defnyddwyr';
$string['check_riskbackup_ok'] = 'Does dim un swyddogaeth yn caniatáu creu copi wrth gefn o ddata defnyddwyr yn benodol';
$string['check_riskbackup_unassign'] = '<a href="{$a->url}">{$a->fullname} ({$a->email}) yn {$a->contextname}</a>';
$string['check_riskbackup_warning'] = 'Wedi dod o hyd i {$a->rolecount} swyddogaeth, {$a->overridecount} dewis diystyru a {$a->usercount} defnyddwyr sy\'n gallu creu copïau wrth gefn o ddata defnyddwyr.';
$string['check_riskxss_details'] = '<p>Mae RISK_XSS yn dynodi\'r holl alluoedd peryglus y gall defnyddwyr yr ydych yn ymddiried ynddynt yn unig eu defnyddio.</p> <p>Gwiriwch y rhestr ganlynol o ddefnyddwyr a gwnewch yn siŵr eich bod yn ymddiried pob un ohonynt yn llwyr ar y gweinydd hwn:</p><p>{$a}</p>';
$string['check_riskxss_name'] = 'Defnyddwyr XSS yr ydych yn ymddiried ynddynt';
$string['check_riskxss_warning'] = 'RISK_XSS - wedi canfod {$a} defnyddiwr sy\'n rhaid i chi ymddiried ynddynt.';
$string['check_unsecuredataroot_details'] = '<p>Ddylai\'r cyfeiriadur gwraidd data ddim bod yn agored drwy\'r we. Y ffordd orau o wneud yn siŵr bod y cyfeiriadur ddim yn agored yw defnyddio cyfeiriadur y tu allan i\'r cyfeiriadur gwe cyhoeddus.</p> <p>Os ydych chi\'n symud y cyfeiriadur, mae angen i chi ddiweddaru\'r gosodiad <code>$CFG->gwraidd data</code> yn <code>config.php</code> yn briodol.</p>';
$string['check_unsecuredataroot_error'] = 'Mae eich cyfeiriadur gwraidd data <code>{$a}</code> yn y lleoliad anghywir ac mae\'n agored i\'r we!';
$string['check_unsecuredataroot_name'] = 'Gwraidd data anniogel';
$string['check_unsecuredataroot_ok'] = 'Rhaid i\'r cyfeiriadur gwraidd data beidio â bod yn agored drwy\'r we.';
$string['check_unsecuredataroot_warning'] = 'Mae eich cyfeiriadur gwraidd data <code>{$a}</code> yn y lleoliad anghywir ac efallai y bydd yn agored i\'r we.';
$string['configuration'] = 'Ffurfweddiad';
$string['description'] = 'Disgrifiad';
$string['details'] = 'Manylion';
$string['issue'] = 'Mater';
$string['pluginname'] = 'Gorolwg diogelwch';
$string['security:view'] = 'Gweld adroddiad diogelwch';
$string['status'] = 'Statws';
$string['statuscritical'] = 'Critigol';
$string['statusinfo'] = 'Gwybodaeth';
$string['statusok'] = 'Iawn';
$string['statusserious'] = 'Difrifol';
$string['statuswarning'] = 'Rhybudd';
$string['timewarning'] = 'Mae\'n bosib y bydd prosesu\'r data yn cymryd llawer o amser. Byddwch yn amyneddgar...';
